
<img src="https://raw.githubusercontent.com/ProxymanApp/Proxyman/master/screenshots/proxyman_logo.png" alt="Proxyman screenshot" width="50%" height="auto"/>

#### Modern and Delightful HTTP Debugging Proxy 👨‍💻 • 🌎 https://proxyman.io

[![Join the chat at https://gitter.im/Proxyman-app/community](https://badges.gitter.im/Proxyman-app/community.svg)](https://gitter.im/Proxyman-app/community?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

<img src="https://raw.githubusercontent.com/ProxymanApp/Proxyman/master/screenshots/proxyman_dashboard_1.8.0.png" alt="Proxyman screenshot" width="100%" height="auto"/>

## Features

* ✅ Intercept HTTP/HTTPS (SSL) requests.
* Support iOS simulator and iOS and Android devices.
* Websocket debugging.
* Modern and intuitive UI.
* Exclusively built for macOS.
* Basic debugging tools: Compose, Repeat, filter,...
* Advanced Tools: Map Local, Map Remote, Breakpoint, Backlist, External Proxying, No Caching, Protobuf and Clear Cache.
* Customizable workspace.
* New feature, new improvement build every two weeks.
* 100% free all essential features.
* macOS 10.12+

## OSS Components
- 🔎 [CodeMirror-Swift](https://github.com/ProxymanApp/CodeMirror-Swift): A lightweight wrapper of CodeMirror for macOS and iOS.

## Download
* [Proxyman 1.24.0](https://proxyman.io/release/osx/Proxyman_latest.dmg)
* [Build History](https://github.com/ProxymanApp/Proxyman/releases)

```
$ brew cask install proxyman
```

## Have a problem?

Feels free to ask me any question via gitter 💻.

[![Gitter](https://badges.gitter.im/Proxyman-app/community.svg)](https://gitter.im/Proxyman-app/community?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)

## FAQ

* **What is Proxyman?**

> Proxyman is the HTTP Debugging Proxy app, which is capable of proxying and intercepts the HTTP/HTTPS requests.
> 
> Proxyman is a handy tool to help you debug your HTTPS request from apps, domain, remote devices and iOS simulator.
>
> You can also review the JSON response and compose your request with new parameters. 
>
> It definitely boosts your productivity significantly ⚡️.

* **What is your motivation?**

> We've struggled and understood the problem during working with another tool from our working-day routine. 
>
> Although there are a flood of proxying Google Chrome extension, but it's unreliable and bad performance.
>
> Hence, We sacrifice our spare time to build Proxyman 🚢 with a duty to overcome those problems.

* **Is it native macOS app?**

> Yes, Proxyman is exclusively built from Native Cocoa Framework rather than using Electron or Java app.
>
> We leverage the power and capability to access low-level functions of macOS system in order to determine and categorize those requests to specific Client.
>
> We care about your experience, RAM usage, and battery life.
>
> The **performance** and **intuitive UI** are the vital keys we would like to benefit the savvy devs like you 😍
>
> Technology stack is C++, Swift, Obj-C and low-level system library.

* **How is the current progress?**

> You can track the current progress at [Milestones page](https://github.com/ProxymanApp/Proxyman/milestones).

* **How do I report the bug?**

> We appreciate your effort to report the bug if you find.
>
> Just open the Issue ticket on this repository. We will answer asap.

* **Can I request new features?**

> Definitely, we're always welcome your new idea in order to make Proxyman greater ❤️

* **Where can I download the app?**

> Visit our landing page (https://proxyman.io) and subscribe to get new builds every week 👨‍💻

* **Do we have Twitter?**

> Don't forget to follow me on [Twitter](https://twitter.com/_nghiatran) to get latest update 😍

* **How can I contact you?**

> 💌 nghia@proxyman.io
